package be.iminds.ilabt.jfed.rspec.model;

import javax.annotation.Nonnull;
import java.util.*;

public class DiskImageList {
    @Nonnull public final String id;
    @Nonnull public final List<DiskImage> diskImages;

    public DiskImageList(@Nonnull String id, @Nonnull Collection<DiskImage> diskImages) {
        this.id = id;
        this.diskImages = Collections.unmodifiableList(new ArrayList<>(diskImages));
    }

    @Nonnull
    public String getId() {
        return id;
    }

    @Nonnull
    public List<DiskImage> getDiskImages() {
        return diskImages;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DiskImageList that = (DiskImageList) o;
        return id.equals(that.id) &&
                diskImages.equals(that.diskImages);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, diskImages);
    }
}
